Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface HTTPProtocolConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface HTTPProtocolConfig
extends ConfigElement

Configuration for the <http-protocol> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getDefaultResponseType()`
`boolean` | `getDNSLookupEnabled()`
`java.lang.String` | `getForcedResponseType()`
`boolean` | `getSSLEnabled()`
`java.lang.String` | `getVersion()`
`void` | `setDefaultResponseType(java.lang.String value)` Legal values include: "text/html ISO-8859-1 en
`void` | `setDNSLookupEnabled(boolean value)`
`void` | `setForcedResponseType(java.lang.String value)`
`void` | `setSSLEnabled(boolean value)`
`void` | `setVersion(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getDefaultResponseType

    public java.lang.String getDefaultResponseType()

### setDefaultResponseType

    public void setDefaultResponseType(java.lang.String value)

  Legal values include:
  - "text/html
  - ISO-8859-1
  - en

### getDNSLookupEnabled

    public boolean getDNSLookupEnabled()

### setDNSLookupEnabled

    public void setDNSLookupEnabled(boolean value)

### getForcedResponseType

    public java.lang.String getForcedResponseType()

  See Also:
    `HTTPProtocolConfigKeys.FORCED_RESPONSE_TYPE_KEY`

### setForcedResponseType

    public void setForcedResponseType(java.lang.String value)

  See Also:
    `HTTPProtocolConfigKeys.FORCED_RESPONSE_TYPE_KEY`

### getSSLEnabled

    public boolean getSSLEnabled()

### setSSLEnabled

    public void setSSLEnabled(boolean value)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.